---
meta:
  title: Long-term support
  description: Vuetify provides long-term support to the last major release for 12 months for critical bugs and security vulnerabilities.
  keywords: lts, long-term support
related:
  - /introduction/enterprise/
  - /getting-started/contributing/
  - /about/meet-the-team/
---

# Long-term support

As a component framework, we understand that many projects that utilize Vuetify have development cycles that prevent upgrading to the latest version. In order to provide developers and business peace of mind, we offer **Long-term Support** for the latest _minor_ of the last _major_ release. This means with each _major_ release you can have peace of mind in knowing that for **12 months** after a new major release, your existing version will be updated for critical bugs and security vulnerabilities.

## Vuetify 2.0

The latest version of Vuetify, based on the Material Design 2 specification. It includes multiple advancements over v1.5 and is the recommended version for the most up-to-date features and bug fixes. This version is actively maintained and has a [roadmap](/introduction/roadmap/) of upcoming features.

- 7 new components
- Complete upgrade to the MD2 Specification
- Full Typescript Support
- Improved accessibility and RTL support
- Numerous bug fixes, QOL changes and performance improvements

> Upgrading from v1.5? Check out the available [upgrade guide](https://github.com/vuetifyjs/vuetify/releases/tag/v2.0.0#user-content-upgrade-guide).

## Vuetify 1.5 LTS

<alert type="error">

  v1.5 reached end of life on **July 31st, 2020** and is no longer actively maintained. It is recommended to update to the latest stable version of Vuetify using our [Upgrade guide](/getting-started/upgrade-guide/).

</alert>

The latest LTS version of Vuetify, based on the Material Design 1 specification. LTS stands for long-term support—which means 12 months, until July 2020, of free security and critical bug maintenance updates, guaranteed.

Upgrading to v1.5? Check out the available upgrade guides:
1.5 Versions:

- [Vuetify v1.5](https://github.com/vuetifyjs/vuetify/releases/tag/v1.5.0)
- [Vuetify v1.4](https://github.com/vuetifyjs/vuetify/releases/tag/v1.4.0)
- [Vuetify v1.3](https://github.com/vuetifyjs/vuetify/releases/tag/v1.3.0)
- [Vuetify v1.2](https://github.com/vuetifyjs/vuetify/releases/tag/v1.2.0)
- [Vuetify v1.1](https://github.com/vuetifyjs/vuetify/releases/tag/v1.1.0)

If you have any additional questions, please join our [Discord community](https://community.vuetifyjs.com).

<backmatter />
